Loading...
Searching...
No Matches
test_config Struct Reference

## Public Attributes

ne10_uint32_t | blockSize
ne10_uint32_t | numTaps
ne10_uint32_t | numFrames
ne10_float32_t * | coeffsF32
ne10_float32_t * | inputF32
ne10_uint32_t | D
ne10_uint32_t | maxDelay
ne10_int32_t * | tapDelay
ne10_float32_t * | kCoeffsF32
ne10_float32_t * | vCoeffsF32

## Detailed Description

Definition at line 170 of file test_suite_fir.c.

## Member Data Documentation

## blockSize

ne10_uint32_t test_config::blockSize

Definition at line 172 of file test_suite_fir.c.

## coeffsF32

ne10_float32_t * test_config::coeffsF32

Definition at line 175 of file test_suite_fir.c.

## D

ne10_uint32_t test_config::D

Definition at line 167 of file test_suite_fir_decimate.c.

## inputF32

ne10_float32_t * test_config::inputF32

Definition at line 176 of file test_suite_fir.c.

## kCoeffsF32

ne10_float32_t* test_config::kCoeffsF32

Definition at line 198 of file test_suite_iir.c.

## maxDelay

ne10_uint32_t test_config::maxDelay

Definition at line 176 of file test_suite_fir_sparse.c.

## numFrames

ne10_uint32_t test_config::numFrames

Definition at line 174 of file test_suite_fir.c.

## numTaps

ne10_uint32_t test_config::numTaps

Definition at line 173 of file test_suite_fir.c.

## tapDelay

ne10_int32_t* test_config::tapDelay

Definition at line 177 of file test_suite_fir_sparse.c.

## vCoeffsF32

ne10_float32_t* test_config::vCoeffsF32

Definition at line 199 of file test_suite_iir.c.

The documentation for this struct was generated from the following files:

- test_suite_fir.c
- test_suite_fir_decimate.c
- test_suite_fir_interpolate.c
- test_suite_fir_lattice.c
- test_suite_fir_sparse.c
- test_suite_iir.c